List contents
GET
/api/sdk/v1/contentsAuthorization
bearerAuth AuthorizationBearer <token>
A personal access token created in the inklet portal. Server-side use only.
In: header
Query Parameters
cursor?string
Opaque cursor returned by the previous page.
Length
1 <= lengthlimit?integer
Number of items to return.
Range
1 <= value <= 50Default
20state?string
Value in
- "pending"
- "processing"
- "ready"
- "failed"
mode?string
Value in
- "auto"
- "manual"
- "hardcode"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/sdk/v1/contents"{ "nextCursor": "string", "hasMore": true, "items": [ { "id": "string", "mode": "auto", "requestedDisplayId": "string", "intent": "string", "title": "string", "state": "pending", "assets": [ { "assetIndex": 0, "type": "text", "text": "string", "url": "http://example.com", "filename": "string", "contentType": "string", "sizeBytes": 0, "uploadState": "pending" } ], "upload": { "status": "awaiting_upload", "failedAssetIndexes": [ 0 ] }, "processing": { "stage": "awaiting_upload", "warnings": [ { "code": "string", "message": "string", "stage": "string", "retryable": true, "assetIndex": 0 } ], "error": { "code": "string", "message": "string", "stage": "string", "retryable": true, "assetIndex": 0 } }, "presentationIds": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ]}Retrieve the confirmed presentation GET
Returns `presentation: null` when the display has never confirmed a frame.
Create content POST
Creates one submission and returns presigned upload tickets for binary assets. `auto` and `manual` use inklet AI and require Pro. `hardcode` accepts one PNG or JPEG and is available on Free and Pro.